### Method

# FwupdPlugin Device has_guid

since: 1.2.2

#### Declaration [src]

    gboolean
    fu_device_has_guid (
      FuDevice* self,
      const gchar* guid
    )

#### Description [src]

Finds out if the device has a specific GUID.

Available since: 1.2.2

#### Parameters

`guid`

  Type: `const gchar*`

  A GUID, e.g. `WacomAES`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the GUID is found.